Add support for ROCm

Description

Add rocm support and AMD drivers, including
pip install tensorflow-rocm
If you choose
tensorflow:
amd: true
it will install tensorflow-rocm, instead of CUDA tensorflow in the base python36 and python27 environments.
It will also install the amd drivers in tensorflow::install.rb

Assignee

Robin

Reporter

Jim Dowling

Labels

None

Fix versions

Priority

Medium
Configure